var YangkeduoPersonalPage = (function () {
    function YangkeduoPersonalPage() {
        this.OrderWithExpress = [];
    }
    YangkeduoPersonalPage.prototype.Init = function () {
        console.log("YangkeduoPersonalPage -begin");
        debugger;
        var that = this;
        function myFunction() {
            if (ModuleManager.Instance.cgOrderInfoModule.Init) {
                ModuleManager.Instance.cgOrderInfoModule.Init();
                window.clearInterval(that.TaskTimer);
            }
        }
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetIsCaigouOrIsExpress, null, function (data) {
            if (data.isCaigou) {
                that.TaskTimer = window.setInterval(myFunction, 500);
            }
        });
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetPddSelectCgNumber, null, function (selectCgNumberJson) {
            debugger;
            if (selectCgNumberJson != null) {
                var selectNumberToken = selectCgNumberJson.token;
                var selectNumber = selectCgNumberJson.mobile;
                var selectNumberCookie = selectCgNumberJson.cookie;
                if (localStorage.getItem('mobile') == selectNumber) {
                    localStorage.setItem('mobile', selectCgNumberJson.mobile);
                    that.ToDoSomething();
                }
                else {
                    window.location.href = "https://mobile.yangkeduo.com/login.html";
                }
            }
            else {
                if (localStorage.getItem('mobile') != "" && localStorage.getItem('mobile') != null) {
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetSelectCgNumber, localStorage.getItem('mobile'), function () { });
                    that.ToDoSomething();
                }
                else {
                    window.location.href = "https://mobile.yangkeduo.com/login.html";
                }
            }
        });
    };
    YangkeduoPersonalPage.prototype.clearCookie = function (name) {
        var d = new Date();
        d.setTime(d.getTime() + (-1 * 24 * 60 * 60 * 1000));
        var expires = "expires=" + d.toUTCString();
        document.cookie = name + "=; " + expires;
    };
    YangkeduoPersonalPage.prototype.ToDoSomething = function () {
        var that = this;
        var cookies = document.cookie;
        debugger;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.setCgNumberCache, cookies, function (arr) {
            if (arr != null) {
                that.buyer = arr.buyer;
                if (arr.isLogin) {
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetIsCaigouOrIsExpress, null, function (data) {
                        that.isExpress = data.isExpress;
                        if (data.isCaigou) {
                            that.ToCaigou();
                        }
                        else if (data.isExpress) {
                            that.ToGetExpress();
                        }
                        else if (data.isCheckPayState) {
                            that.ToGetPayState();
                        }
                        else if (data.istoPay) {
                            that.ToPay();
                        }
                    });
                }
                else {
                    window.location.href = "https://mobile.yangkeduo.com/login.html";
                }
            }
        });
    };
    YangkeduoPersonalPage.prototype.getCookie = function (name) {
        var strcookie = document.cookie;
        var arrcookie = strcookie.split("; ");
        for (var i = 0; i < arrcookie.length; i++) {
            var arr = arrcookie[i].split("=");
            if (arr[0] == name) {
                return arr[1];
            }
        }
        return "";
    };
    YangkeduoPersonalPage.prototype.setPddAddress = function (userId, addressId, buyer, verifyAuthToken, accessToken, cookies, name, mobile, address, province_id, city_id, district_id, callBack) {
        if (province_id > 0 && district_id > 0) {
            if (addressId) {
                this.setPddAddressDefault(userId, addressId, buyer, verifyAuthToken, accessToken, cookies, name, mobile, address, province_id, city_id, district_id, callBack, 0);
            }
            else {
                this.insertPddAddress(userId, buyer, verifyAuthToken, accessToken, cookies, name, mobile, address, province_id, city_id, district_id, callBack);
            }
        }
        else {
            if (callBack) {
                callBack(false);
            }
        }
    };
    YangkeduoPersonalPage.prototype.setPddAddressDefault = function (userId, addressId, buyer, verifyAuthToken, accessToken, cookies, name, mobile, address, province_id, city_id, district_id, callBack, flage) {
        if (flage === void 0) { flage = 0; }
        var that = this;
        var isOk = false;
        try {
            if (accessToken != '') {
                var xmlhttp = new XMLHttpRequest();
                var xmlhttp = new XMLHttpRequest();
                var anti_content = window.Anti()()["messagePackSync"]("https://mobile.yangkeduo.com/addresses.html");
                var xmlhttp = new XMLHttpRequest();
                var array = { "anti_content": anti_content };
                var strarray = JSON.stringify(array);
                xmlhttp.open("post", 'https://mobile.yangkeduo.com/proxy/api/api/origenes/address_default/' + addressId + '?pdduid=' + userId);
                xmlhttp.setRequestHeader('AccessToken', accessToken);
                xmlhttp.setRequestHeader('verifyAuthToken', verifyAuthToken);
                xmlhttp.setRequestHeader('Content-Type', 'application/json; charset=UTF-8');
                xmlhttp.send('{"anti_content":"' + anti_content + '"}');
                xmlhttp.onreadystatechange = function () {
                    if (this.status == 200) {
                        console.log("setPddAddressDefault-responseText", this);
                        var data = JSON.parse(this.response);
                        if (data && data.result == true) {
                            that.updatePddAddress(userId, addressId, buyer, verifyAuthToken, accessToken, cookies, name, mobile, address, province_id, city_id, district_id, callBack);
                            return;
                        }
                        else if (data && data.error_msg.indexOf('地址错误') > -1) {
                            console.log(data.error_msg);
                            that.insertPddAddress(userId, buyer, verifyAuthToken, accessToken, cookies, name, mobile, address, province_id, city_id, district_id, callBack);
                            return;
                        }
                        else {
                            console.log("setPddAddressDefault-responseText", this);
                        }
                    }
                    else if (this.status == 403) {
                        if (flage < 3) {
                            flage++;
                            that.setPddAddressDefault(userId, addressId, buyer, verifyAuthToken, accessToken, cookies, name, mobile, address, province_id, city_id, district_id, callBack, flage);
                        }
                        else {
                            localStorage.removeItem('PddAddressId' + buyer);
                            if (callBack) {
                                callBack(isOk);
                            }
                        }
                    }
                    else {
                        if (callBack) {
                            callBack(isOk);
                        }
                    }
                };
            }
            else {
                if (callBack) {
                    callBack(isOk);
                }
            }
        }
        catch (e) {
            console.log(e);
            if (callBack) {
                callBack(isOk);
            }
        }
    };
    YangkeduoPersonalPage.prototype.insertPddAddress = function (userId, buyer, verifyAuthToken, accessToken, cookies, name, mobile, address, province_id, city_id, district_id, callBack) {
        var isOk = false;
        if (accessToken != '') {
            var anti_content = window.Anti()()["messagePackSync"]("https://mobile.yangkeduo.com/addresses.html");
            var xmlhttp = new XMLHttpRequest();
            var array = { name: name, mobile: mobile, province_id: province_id, city_id: city_id, district_id: district_id, address: address, is_default: '1', anti_content: anti_content };
            var strarray = JSON.stringify(array);
            xmlhttp.open("post", 'https://mobile.yangkeduo.com/proxy/api/api/origenes/address?pdduid=' + userId);
            xmlhttp.setRequestHeader('AccessToken', accessToken);
            xmlhttp.setRequestHeader('verifyAuthToken', verifyAuthToken);
            xmlhttp.setRequestHeader('Accept', 'application/json, text/javascript, */*; q=0.01');
            xmlhttp.setRequestHeader('Content-Type', 'application/json; charset=UTF-8');
            xmlhttp.send(strarray);
            xmlhttp.onreadystatechange = function () {
                if (this.status == 200) {
                    console.log("insertPddAddress-responseText", this);
                    var data = JSON.parse(this.response);
                    if (data && data.address_id) {
                        localStorage.setItem('PddAddressId' + buyer, data.address_id);
                        isOk = true;
                    }
                    else {
                        console.log(this.response);
                    }
                    if (callBack) {
                        callBack(isOk);
                    }
                }
            };
        }
        else {
        }
    };
    YangkeduoPersonalPage.prototype.updatePddAddress = function (userId, addressId, buyer, verifyAuthToken, accessToken, cookies, name, mobile, address, province_id, city_id, district_id, callBack) {
        var that = this;
        var isOk = false;
        if (accessToken != '') {
            var anti_content = window.Anti()()["messagePackSync"]("https://mobile.yangkeduo.com/addresses.html");
            var xmlhttp = new XMLHttpRequest();
            var array = { name: name, mobile: mobile, province_id: province_id, city_id: city_id, district_id: district_id, address: address, is_default: '1', anti_content: anti_content };
            var strarray = JSON.stringify(array);
            xmlhttp.open("post", 'https://mobile.yangkeduo.com/proxy/api/api/origenes/address_info/' + addressId + '?pdduid=' + userId);
            xmlhttp.setRequestHeader('AccessToken', accessToken);
            xmlhttp.setRequestHeader('verifyAuthToken', verifyAuthToken);
            xmlhttp.setRequestHeader('Accept', 'application/json, text/javascript, */*; q=0.01');
            xmlhttp.setRequestHeader('Content-Type', 'application/json; charset=UTF-8');
            xmlhttp.send(strarray);
            xmlhttp.onreadystatechange = function () {
                if (this.status == 200) {
                    console.log("updatePddAddress-responseText", this);
                    var data = JSON.parse(this.response);
                    if (data && data.result == true) {
                        isOk = true;
                        if (callBack) {
                            callBack(isOk);
                        }
                    }
                    else if (data && data.error_msg.indexOf('地址错误') > -1) {
                        that.insertPddAddress(userId, buyer, verifyAuthToken, accessToken, cookies, name, mobile, address, province_id, city_id, district_id, callBack);
                        console.log(data);
                        return;
                    }
                    else {
                        console.log(data);
                        if (callBack) {
                            callBack(isOk);
                        }
                    }
                }
            };
        }
    };
    YangkeduoPersonalPage.prototype.ToCaigou = function () {
        debugger;
        var that = this;
        var mobile = that.getCookie("mobile");
        var accessToken = that.getCookie("PDDAccessToken");
        var userId = that.getCookie("pdd_user_id");
        var verifyAuthToken = localStorage.VerifyAuthToken;
        var cookies = document.cookie;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
            var infos = currentCginfo.YangkeduoCaiGouOrderInfos[0];
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetProvinceCityCountyCode, 26, function (data) {
                if (data != false) {
                    var name = infos.ReceiverName;
                    var mobile = infos.ReceiverPhone;
                    var address = data.Address;
                    var province_id = data.ProvinceId;
                    var city_id = data.CityId;
                    var district_id = data.CountryId;
                    var addressId = localStorage.getItem('PddAddressId' + that.buyer);
                    if (accessToken) {
                        that.setPddAddress(userId, addressId, that.buyer, verifyAuthToken, accessToken, cookies, name, mobile, address, province_id, city_id, district_id, function (isSuccess) {
                            if (isSuccess) {
                                window.location.href = infos.CgUrl;
                            }
                            else {
                                window.location.href = "https://mobile.yangkeduo.com/addresses.html";
                            }
                        });
                    }
                    else {
                        window.location.href = "https://mobile.yangkeduo.com/addresses.html";
                    }
                }
                else {
                    window.location.href = "https://mobile.yangkeduo.com/addresses.html";
                }
            });
        });
    };
    YangkeduoPersonalPage.prototype.ToGetExpress = function () {
        console.log("获取运单号开始");
        var that = this;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
            var firstcgOrderCode = currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode;
            window.location.href = "https://mobile.yangkeduo.com/order.html?order_sn=" + firstcgOrderCode;
        });
    };
    YangkeduoPersonalPage.prototype.ToGetPayState = function () {
        console.log("获取支付状态开始");
        var that = this;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
            var firstcgOrderCode = currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode;
            window.location.href = "https://mobile.yangkeduo.com/order.html?order_sn=" + firstcgOrderCode;
        });
    };
    YangkeduoPersonalPage.prototype.getPddExpressTest = function (num, count, callback) {
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
            var firstcgOrderCode = currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode;
            window.location.href = "https://mobile.yangkeduo.com/order.html?order_sn=" + firstcgOrderCode;
        });
        try {
            var that_1 = this;
            var accessToken = that_1.getCookie("PDDAccessToken");
            var userId = that_1.getCookie("pdd_user_id");
            var verifyAuthToken = localStorage.VerifyAuthToken;
            var anti_content = window.Anti()()["messagePackSync"]("https://mobile.yangkeduo.com/addresses.html");
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.open("post", "https://mobile.yangkeduo.com/proxy/api/api/aristotle/order_list?type=unreceived&size=50&offset=0&pdduid=" + userId);
            xmlhttp.setRequestHeader('AccessToken', accessToken);
            xmlhttp.setRequestHeader('verifyAuthToken', verifyAuthToken);
            xmlhttp.setRequestHeader('Accept', 'application/json, text/javascript, */*; q=0.01');
            xmlhttp.setRequestHeader('Content-Type', 'application/json; charset=UTF-8');
            xmlhttp.send();
            xmlhttp.onreadystatechange = function () {
                if (this.status == 200) {
                    console.log("setPddAddressDefault-responseText", this);
                    var data_1 = JSON.parse(this.response);
                    if (data_1 && data_1.orders) {
                        if (data_1.orders && data_1.orders.length > 0) {
                            for (var i = 0; i < data_1.orders.length; i++) {
                                var shipperName = '';
                                if (data_1.orders[i].extra_info && data_1.orders[i].extra_info.order_hint) {
                                    if (data_1.orders[i].extra_info.order_hint.message != '') {
                                        try {
                                            if (that_1.isExpress) {
                                                if (data_1.orders[i].extra_info.order_hint.message.indexOf("商家已发货") > -1 || (data_1.orders[i].extra_info.order_hint.message.indexOf("等待") > -1
                                                    && (data_1.orders[i].extra_info.order_hint.message.indexOf("揽") > -1 || data_1.orders[i].extra_info.order_hint.message.indexOf("收") > -1))) {
                                                    continue;
                                                }
                                            }
                                            shipperName = data_1.orders[i].extra_info.order_hint.message.split('：')[0];
                                        }
                                        catch (e) { }
                                    }
                                }
                                else {
                                    if (that_1.isExpress) {
                                        continue;
                                    }
                                }
                                var order = {
                                    CgOrderCode: data_1.orders[i].order_sn,
                                    LogisticNo: data_1.orders[i].tracking_number,
                                    shippingId: data_1.orders[i].shipping_id,
                                    ShipperName: shipperName
                                };
                                that_1.OrderWithExpress.push(order);
                            }
                            if (data_1.orders.length >= 50) {
                                setTimeout(function () {
                                    count = count + 1;
                                    that_1.getPddExpressTest(data_1.orders[data_1.orders.length - 1].order_sn, count, callback);
                                }, 500);
                            }
                            else {
                                if (callback) {
                                    callback();
                                }
                            }
                        }
                        else {
                            if (data_1.error_code != 'undefined' && data_1.error_msg != 'undefined' && (data_1.error_code != '' && data_1.error_msg != '')) {
                                console.log("同步运单号失败，请重新获取运单号--执行获取页面的采购单号！接口错误");
                                that_1.isExpress = false;
                                that_1.OrderWithExpress = [];
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
                                    var firstcgOrderCode = currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode;
                                    window.location.href = "https://mobile.yangkeduo.com/order.html?order_sn=" + firstcgOrderCode;
                                });
                            }
                            else {
                                if (callback) {
                                    callback();
                                }
                            }
                        }
                    }
                    else {
                        alert("同步运单号失败，请重新获取运单号--执行获取页面的采购单号");
                        that_1.isExpress = false;
                        that_1.OrderWithExpress = [];
                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
                            var firstOrderCode = currentCginfo.YangkeduoCaiGouOrderInfos[0].OrderCode;
                            window.location.href = "https://mobile.yangkeduo.com/order.html?order_sn=" + firstOrderCode;
                        });
                    }
                }
            };
        }
        catch (e) {
        }
    };
    YangkeduoPersonalPage.prototype.ToPay = function () {
        console.log("去支付订单详情开始");
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
            var firstcgOrderCode = currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode;
            window.location.href = "https://mobile.yangkeduo.com/order.html?order_sn=" + firstcgOrderCode;
        });
    };
    return YangkeduoPersonalPage;
}());
(function ($, window) {
    try {
        var charset = require('superagent-charset');
        var request = charset(require('superagent'));
        var XiaDan = {
            request: request,
        };
        window.XiaDan = XiaDan;
    }
    catch (e) {
    }
})($, window);
if (typeof (_YangkeduoPersonalPage) == "undefined") {
    _YangkeduoPersonalPage = true;
    console.log("YangkeduoPersonalPage - begin");
    new YangkeduoPersonalPage().Init();
}
