class DYSHGoodsCopyPage {
    constructor() {
    }
    Init() {
        const that = this;
        window.removeEventListener("PddUrlListEvent", this.OnPddUrlListEvent);
        window.addEventListener("PddUrlListEvent", this.OnPddUrlListEvent);
        window.removeEventListener("NeedLoginEvent", this.NeedLoginEvent);
        window.addEventListener("NeedLoginEvent", this.NeedLoginEvent);
        window.removeEventListener("PddGrabTaskEvent", this.OnPddGrabTaskEvent);
        window.addEventListener("PddGrabTaskEvent", this.OnPddGrabTaskEvent);
        window.removeEventListener("ShopCollectionEvent", this.ShopCollectionEvent);
        window.addEventListener("ShopCollectionEvent", this.ShopCollectionEvent);
        window.removeEventListener("ShopAutoBindEvent", this.OnShopAutoBindEvent);
        window.addEventListener("ShopAutoBindEvent", this.OnShopAutoBindEvent);
        window.removeEventListener("XdOrderListEvent", this.OnXdOrderListEvent);
        window.addEventListener("XdOrderListEvent", this.OnXdOrderListEvent);
        window.removeEventListener("ToPayEvent", this.OnToPayEvent);
        window.addEventListener("ToPayEvent", this.OnToPayEvent);
        window.removeEventListener("UpdateExpressNumberEvent", this.OnUpdatePurOrderEvent);
        window.addEventListener("UpdateExpressNumberEvent", this.OnUpdatePurOrderEvent);
        return;
        if (location.href.indexOf("testxd") > -1) {
            let data = {
                "code": "80962",
                "isAutoSku": false,
                "isAutoPay": false,
                "intervalTime": 5,
                "type": 1,
                "platID": 3,
                "platTypeID": -1,
                "purchaseAutoFlow": false,
                "isBatch": false,
                "list": [
                    {
                        "OrderId": 59956975746609,
                        "OrderCode": "220505B9Q888V0",
                        "ShopName": "sskdow.vn",
                        "GoodsName": "Ví Dáng Ngắn Có Thể Gấp Gọn Họa Tiết Gấu Đáng Yêu Cho Nữ Giới",
                        "ReceiverName": "鑫标庞锡飞",
                        "ReceiverPhone": "15361462212",
                        "ReceiverAddress": "广东省东莞市市辖区常平镇环常北路200号客运大楼二栋客运之家一楼A仓库鑫标公司",
                        "Country": "越/VN",
                        "CgSku": "款式:2折钱包粉上衣女孩",
                        "GoodsSku": "2 Fold Wallet Pink",
                        "GoodsNum": 1,
                        "GoodsImage": "https://s-cf-tw.shopeesz.com/file/dd799e335fe52cdb67ae0c56393c1204_tn",
                        "Currency": "VND",
                        "GoodsPrice": "66370",
                        "GoodsPriceRMB": "19.08",
                        "CgUrl": "http://mobile.yangkeduo.com/goods.html?goods_id=115425417006",
                        "CgType": 26,
                        "BuyerMessage": ""
                    }
                ]
            };
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetCurrentCaiGouInfo, data, function (data) {
            });
        }
    }
    OnPddUrlListEvent(evt) {
        if (evt != null && evt.detail != null && evt.detail.type > 0 && evt.detail.list != null && evt.detail.list.length > 0) {
            let request = new ExtensionShortMessage.SendPddUrlListRequest();
            request.Type = evt.detail.type;
            request.List = evt.detail.list;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendPddUrlList, request, function (data) {
            });
        }
    }
    NeedLoginEvent(evt) {
        if (evt != null && evt.detail != null && evt.detail.type > 0) {
            let request = new ExtensionShortMessage.OpenLoginPageRequest();
            request.type = evt.detail.type;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.OpenLoginPage, request, function (data) {
            });
        }
    }
    OnPddGrabTaskEvent(event) {
        console.log("OnPddGrabTaskEvent", event);
        if (event != null && event.detail != null && event.detail.userinfo != null) {
            let request = new ExtensionShortMessage.SendPddGrabTaskRequest();
            request.UserInfo = event.detail.userinfo;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendPddGrabTask, request, function (data) {
            });
        }
    }
    ShopCollectionEvent(evt) {
        console.log(evt);
        if (evt != null && evt.detail != null && evt.detail.url != null && evt.detail.goodsType > 0) {
            ModuleManager.Instance.goodsCollectionModule.currInsidePlatformType = InsidePlatformType.Dysh;
            let request = new Model.CollectionUrlInfo();
            request.Urls = [];
            request.GoodsType = evt.detail.goodsType;
            request.InsidePlatformType = InsidePlatformType.Dysh;
            request.IsAll = true;
            request.IsBackground = false;
            request.CurrPage = 1;
            request.TotalPage = 2;
            request.NextPageUrl = evt.detail.url;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CollectionUrlInfo, request, function (data) {
            });
        }
    }
    OnShopAutoBindEvent(evt) {
        console.log("OnShopAutoBindEvent", evt);
        if (evt != null && evt.detail != null) {
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.UpdateShopData, {}, function (data) {
            });
        }
    }
    OnXdOrderListEvent(evt) {
        if (evt != null && evt.detail != null && evt.detail.list != null && evt.detail.list.length > 0) {
            let win = window;
            let data = evt.detail;
            for (let index = 0; index < data.list.length; index++) {
                const element = data.list[index];
                data.list[index] = win.DYSHGoodsCopyPage.JsonToUpperCase(element);
            }
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetCurrentCaiGouInfo, data, function (data) {
            });
        }
    }
    OnToPayEvent(evt) {
        if (evt != null && evt.detail != null && evt.detail.list != null && evt.detail.list.length > 0) {
            let win = window;
            let data = evt.detail;
            for (let index = 0; index < data.list.length; index++) {
                const element = data.list[index];
                data.list[index] = win.DYSHGoodsCopyPage.JsonToUpperCase(element);
            }
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ToPay, data, function (data) {
            });
        }
    }
    OnUpdatePurOrderEvent(evt) {
        if (evt != null && evt.detail != null && evt.detail.length > 0) {
            let win = window;
            let data = evt.detail;
            for (let index = 0; index < data.length; index++) {
                const element = data[index];
                data[index] = win.DYSHGoodsCopyPage.JsonToUpperCase(element);
            }
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.UpdatePurOrder, data, function (data) {
            });
        }
    }
    static JsonToUpperCase(jsonObj) {
        if (typeof (jsonObj) == 'object') {
            for (var key in jsonObj) {
                jsonObj[key.substring(0, 1).toUpperCase() + key.substring(1)] = jsonObj[key];
                delete (jsonObj[key]);
            }
            return jsonObj;
        }
        return jsonObj;
    }
}
if (typeof (_DYSHGoodsCopyPage) == "undefined") {
    _DYSHGoodsCopyPage = true;
    console.log("DYSHGoodsCopyPage - begin");
    new DYSHGoodsCopyPage().Init();
}
