class JDSHGoodsCopyPage {
    constructor() {
    }
    Init() {
        const that = this;
        window.removeEventListener("PddUrlListEvent", this.OnPddUrlListEvent);
        window.addEventListener("PddUrlListEvent", this.OnPddUrlListEvent);
        window.removeEventListener("NeedLoginEvent", this.NeedLoginEvent);
        window.addEventListener("NeedLoginEvent", this.NeedLoginEvent);
        window.removeEventListener("ShopCollectionEvent", this.ShopCollectionEvent);
        window.addEventListener("ShopCollectionEvent", this.ShopCollectionEvent);
        window.removeEventListener("ShopAutoBindEvent", this.OnShopAutoBindEvent);
        window.addEventListener("ShopAutoBindEvent", this.OnShopAutoBindEvent);
    }
    OnPddUrlListEvent(event) {
        if (event != null && event.detail != null && event.detail.type > 0 && event.detail.list != null && event.detail.list.length > 0) {
            let request = new ExtensionShortMessage.SendPddUrlListRequest();
            request.Type = event.detail.type;
            request.List = event.detail.list;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendPddUrlList, request, function (data) {
            });
        }
    }
    NeedLoginEvent(event) {
        if (event != null && event.detail != null && event.detail.type > 0) {
            let request = new ExtensionShortMessage.OpenLoginPageRequest();
            request.type = event.detail.type;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.OpenLoginPage, request, function (data) {
            });
        }
    }
    ShopCollectionEvent(event) {
        if (event != null && event.detail != null && event.detail.url != null && event.detail.goodsType > 0) {
            ModuleManager.Instance.goodsCollectionModule.currInsidePlatformType = InsidePlatformType.Jdssh;
            let request = new Model.CollectionUrlInfo();
            request.Urls = [];
            request.GoodsType = event.detail.goodsType;
            request.InsidePlatformType = InsidePlatformType.Jdsh;
            request.IsAll = true;
            request.IsBackground = false;
            request.CurrPage = 1;
            request.TotalPage = 2;
            request.NextPageUrl = event.detail.url;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CollectionUrlInfo, request, function (data) {
            });
        }
    }
    OnShopAutoBindEvent(event) {
        console.log("OnShopAutoBindEvent", event);
        if (event != null && event.detail != null) {
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.UpdateShopData, {}, function (data) {
            });
        }
    }
}
if (typeof (_JDSHGoodsCopyPage) == "undefined") {
    _JDSHGoodsCopyPage = true;
    console.log("JDSHGoodsCopyPage - begin");
    new JDSHGoodsCopyPage().Init();
}
