class PddLoginPage {
    constructor() {
    }
    Init() {
        const that = this;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetDataOfPddLoginPage, null, function (response) {
            console.log(response);
            switch (response.BusinessType) {
                case 1:
                    that.winId = response.WinId;
                    that.tabId = response.TabId;
                    that.clientId = response.ClientID;
                    that.clientIP = response.ClientIP;
                    that.goodsId = response.GoodsID;
                    that.platId = response.PlatID;
                    that.recordId = response.RecordID;
                    that.outerTaskd = response.OuterTaskID;
                    that.ShowMaxPage();
                    return;
                    break;
                default:
                    break;
            }
        });
    }
    GetPddGoodDetailDataFail() {
        let that = this;
        let body = new HttpMessage.SendPDDGoodsDetailDataRequet_1202();
        body.ClientID = this.clientId;
        body.ClientIP = this.clientIP;
        body.GoodsID = this.goodsId;
        body.PlatID = this.platId;
        body.RecordID = this.recordId;
        body.OuterTaskID = this.outerTaskd;
        body.State = 3;
        body.Message = "需要登录";
        body.GoodsDetailData = "";
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendPddData, body, function (data) {
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.StopGetPddData, null, function () {
                let request1 = new ExtensionShortMessage.CloseWindowRequest();
                request1.WinId = that.winId;
                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CloseWindow, request1, function () { });
            });
        });
    }
    ShowMaxPage() {
        let that = this;
        let request = new ExtensionShortMessage.UpdateWindowRequest();
        request.WinId = that.winId;
        request.DrawAttention = true;
        request.Focused = true;
        request.State = "maximized";
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.UpdateWindow, request, function (data) {
        });
    }
}
console.log("PddLoginPage - begin");
new PddLoginPage().Init();
