var PurManagePage = (function () {
    function PurManagePage() {
    }
    PurManagePage.prototype.Init = function () {
        var that = this;
        window.removeEventListener("AddPurAccountEvent", this.OnAddPurAccountEvent);
        window.addEventListener("AddPurAccountEvent", this.OnAddPurAccountEvent);
        window.removeEventListener("SynchPurOrderEvent", this.OnSynchPurOrderEvent);
        window.addEventListener("SynchPurOrderEvent", this.OnSynchPurOrderEvent);
        window.removeEventListener("UpdateExpressNumberEvent", this.OnUpdatePurOrderEvent);
        window.addEventListener("UpdateExpressNumberEvent", this.OnUpdatePurOrderEvent);
        return;
        if (location.href.indexOf("test_AddPurAccount") > -1) {
            var data = {
                "SysId": 1,
                "Token": "fdsewr3455435"
            };
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.AddPurAccount, data, function (data) {
            });
        }
        if (location.href.indexOf("test_SynchPurOrder") > -1) {
            var data = {
                "SysId": 1,
                "Token": "fdsewr3455435",
                "PurAccount": "泽艺小店"
            };
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SynchPurOrder, data, function (data) {
            });
        }
    };
    PurManagePage.prototype.OnAddPurAccountEvent = function (event) {
        if (event != null && event.detail != null && event.detail.sysId > 0) {
            var request = new ExtensionShortMessage.AddPurAccountRequest();
            request.SysId = event.detail.SysId;
            request.Token = event.detail.Token;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.AddPurAccount, request, function (data) {
            });
        }
    };
    PurManagePage.prototype.OnSynchPurOrderEvent = function (event) {
        if (event != null && event.detail != null) {
            var request = new ExtensionShortMessage.SynchPurOrderRequest();
            request.SysId = event.detail.sysId;
            request.Token = event.detail.token;
            request.PlatID = event.detail.platID;
            request.PurAccount = event.detail.purAccount;
            request.PageIndex = event.detail.pageIndex;
            request.PageCount = event.detail.pageCount;
            request.SearchTerm = event.detail.searchTerm;
            request.SynchMode = event.detail.synchMode;
            request.IsGetAliTradeID = event.detail.isGetAliTradeID;
            request.StartTime = event.detail.startTime;
            request.EndTime = event.detail.endTime;
            request.TradeIDList = event.detail.tradeIDList;
            request.LastSynchTime = event.detail.lastSynchTime;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SynchPurOrder, request, function (data) {
            });
        }
    };
    PurManagePage.prototype.OnUpdatePurOrderEvent = function (evt) {
        if (evt != null && evt.detail != null && evt.detail.length > 0) {
            var win = window;
            var data = evt.detail;
            for (var index = 0; index < data.length; index++) {
                var element = data[index];
                data[index] = win.PurManagePage.JsonToUpperCase(element);
            }
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.UpdatePurOrder, data, function (data) {
            });
        }
    };
    PurManagePage.JsonToUpperCase = function (jsonObj) {
        if (typeof (jsonObj) == 'object') {
            for (var key in jsonObj) {
                jsonObj[key.substring(0, 1).toUpperCase() + key.substring(1)] = jsonObj[key];
                delete (jsonObj[key]);
            }
            return jsonObj;
        }
        return jsonObj;
    };
    return PurManagePage;
}());
if (typeof (_PurManagePage) == "undefined") {
    _PurManagePage = true;
    console.log("PurManagePage - begin");
    new PurManagePage().Init();
}
