var TaobaoOrderDetilsPage = (function () {
    function TaobaoOrderDetilsPage() {
        this.hasBindEvent = false;
    }
    TaobaoOrderDetilsPage.prototype.Init = function () {
        var that = this;
        if (!that.hasBindEvent)
            that.BindEvent();
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetIsCaigouOrIsExpress, null, function (data) {
            if (data.isExpress) {
                that.getTbOrderDetailExpressFun(function (orderInfo) {
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetExpressByHtml, orderInfo, function (currCaigouOrderInfo) {
                        if (currCaigouOrderInfo != null) {
                            if (currCaigouOrderInfo.CgOrderCode && currCaigouOrderInfo.CgOrderCode != '') {
                                if (currCaigouOrderInfo.CgUrl.indexOf("item.taobao.com") > 0) {
                                    window.location.href = "https://trade.taobao.com/trade/detail/trade_order_detail.htm?biz_order_id=" + currCaigouOrderInfo.CgOrderCode;
                                }
                                else if (currCaigouOrderInfo.CgUrl.indexOf("detail.tmall.com") > 0) {
                                    window.location.href = "https://trade.tmall.com/detail/orderDetail.htm?bizOrderId=" + currCaigouOrderInfo.CgOrderCode;
                                }
                                else if (currCaigouOrderInfo.CgUrl.indexOf("trade.tmall.hk") > 0) {
                                    window.location.href = "https://trade.tmall.hk/detail/orderDetail.htm?bizOrderId=" + currCaigouOrderInfo.CgOrderCode;
                                }
                                else {
                                    window.location.href = "https://trade.taobao.com/trade/detail/trade_order_detail.htm?biz_order_id=" + currCaigouOrderInfo.CgOrderCode;
                                }
                            }
                        }
                        else {
                            Utils.Instance.Confirm("提示", "快递信息同步成功，请回到软件中发货！", "取消", "去发货", function () {
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                                });
                            }, function () {
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                                });
                            });
                        }
                    });
                });
            }
            else if (data.isCheckPayState) {
                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
                    console.log(currentCginfo);
                    if (currentCginfo.YangkeduoCaiGouOrderInfos.length > 0) {
                        setTimeout(function () {
                            if (window.location.href.indexOf("taobao") > -1) {
                                var state = document.getElementsByClassName("order-item")[0].children[2].innerText;
                                if (state.indexOf("未付款") > -1 || state.indexOf("已取消") > -1 || state.indexOf("交易已关闭") > -1) {
                                    that.PayOkOrNo(0);
                                }
                                else {
                                    that.PayOkOrNo(1);
                                }
                            }
                            else if (window.location.href.indexOf("detail.tmall") > -1) {
                                var state = $("td.header-status")[0].innerText;
                                if (state.indexOf("未付款") > -1 || state.indexOf("已取消") > -1 || state.indexOf("交易已关闭") > -1) {
                                    that.PayOkOrNo(0);
                                }
                                else {
                                    that.PayOkOrNo(1);
                                }
                            }
                            else if (window.location.href.indexOf("trade.tmall.hk") > -1) {
                                var state = $("td.header-status")[0].innerText;
                                if (state.indexOf("未付款") > -1 || state.indexOf("已取消") > -1 || state.indexOf("交易已关闭") > -1) {
                                    that.PayOkOrNo(0);
                                }
                                else {
                                    that.PayOkOrNo(1);
                                }
                            }
                        }, 1000);
                    }
                    else {
                        Utils.Instance.Confirm("提示", "支付状态更新完成", "取消", "确认", function () {
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                            });
                        }, function () {
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                            });
                        });
                    }
                });
            }
            else if (data.istoPay) {
                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
                    that.TaskTimer = window.setInterval(function () {
                        myFunction(function () {
                            setTimeout(function () {
                                if (currentCginfo.YangkeduoCaiGouOrderInfos.length > 0) {
                                    if (currentCginfo.YangkeduoCaiGouOrderInfos[0].CgUrl.indexOf("item.taobao.com") > 0) {
                                        var state = document.getElementsByClassName("order-item")[0].children[2].innerText;
                                        if (state.indexOf("未付款") > -1) {
                                            document.getElementById("htbuttonSubmit").innerText = "去付款";
                                            var CgFreight = 0;
                                            var CgPrice = 0;
                                            var EstimatedProfit = 0;
                                            var data = document.getElementsByClassName("pay-info-mod__pay-info___29esu")[0].innerText;
                                            data = data.split('\n');
                                            data.forEach(function (item) {
                                                if (item.indexOf("运费：") > -1) {
                                                    CgFreight = item.replace("运费：￥", "");
                                                    document.getElementById("CgFreight").innerText = "￥ " + CgFreight;
                                                }
                                                if (item.indexOf("实付款：") > -1) {
                                                    CgPrice = item.replace("实付款：￥", "").replace(" 元", "");
                                                    document.getElementById("CgPrice").innerText = "￥ " + CgPrice;
                                                }
                                            });
                                            EstimatedProfit = currentCginfo.YangkeduoCaiGouOrderInfos[0].GoodsPriceRMB - CgPrice;
                                            document.getElementById("EstimatedProfit").innerText = "￥ " + EstimatedProfit;
                                            var arr = document.getElementsByClassName("address-memo-mod__an-box___y5ixN")[0].children[1].innerText.split("，");
                                            var data = {
                                                CgPrice: CgPrice,
                                                CgFreight: '0.00',
                                                EstimatedProfit: EstimatedProfit,
                                                LastReceiverName: arr[0],
                                                LastReceiverPhone: arr[1],
                                                LastReceiverAddress: arr[2],
                                                XdTime: (new Date()).valueOf(),
                                                LastCgSku: document.getElementsByClassName("sku-mod__sku___1tEXe")[0].innerText
                                            };
                                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetCurrentOrderInfo, data, function () { });
                                        }
                                        else if (state.indexOf("已取消") > -1 || state.indexOf("交易已关闭") > -1) {
                                            document.getElementById("htbuttonSubmit").style.display = "none";
                                            Utils.Instance.Confirm("提示", "该订单已取消或交易已关闭，请前往订单系统解绑采购单或重新采购", "取消", "确认", function () { }, function () {
                                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                                                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                                                });
                                            });
                                        }
                                    }
                                    else if (currentCginfo.YangkeduoCaiGouOrderInfos[0].CgUrl.indexOf("detail.tmall.com") > 0) {
                                        var state = $("td.header-status")[0].innerText;
                                        if (state.indexOf("未付款") > -1) {
                                            document.getElementById("htbuttonSubmit").innerText = "去付款";
                                            var CgFreight = 0;
                                            var CgPrice = 0;
                                            var EstimatedProfit = 0;
                                            var data = document.getElementsByClassName("total-count")[0].innerText;
                                            data = data.split('\n');
                                            data.forEach(function (item) {
                                                if (item.indexOf("运费(快递)：") > -1) {
                                                    CgFreight = item.replace("运费(快递)：￥", "");
                                                    document.getElementById("CgFreight").innerText = "￥ " + CgFreight;
                                                }
                                                if (item.indexOf("需付款：") > -1) {
                                                    CgPrice = item.replace("需付款：￥", "");
                                                    document.getElementById("CgPrice").innerText = "￥ " + CgPrice;
                                                }
                                            });
                                            EstimatedProfit = currentCginfo.YangkeduoCaiGouOrderInfos[0].GoodsPriceRMB - CgPrice;
                                            document.getElementById("EstimatedProfit").innerText = "￥ " + EstimatedProfit;
                                            var arr = document.getElementsByClassName("trade-imfor-dd")[0].innerText.split(",");
                                            var data = {
                                                CgPrice: CgPrice,
                                                CgFreight: '0.00',
                                                EstimatedProfit: EstimatedProfit,
                                                LastReceiverName: arr[0],
                                                LastReceiverPhone: arr[1],
                                                LastReceiverAddress: arr[2],
                                                XdTime: (new Date()).valueOf(),
                                                LastCgSku: document.getElementsByClassName("item-title")[0].innerText
                                            };
                                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetCurrentOrderInfo, data, function () { });
                                        }
                                        else if (state.indexOf("已取消") > -1 || state.indexOf("交易已关闭") > -1) {
                                            document.getElementById("htbuttonSubmit").style.display = "none";
                                            Utils.Instance.Confirm("提示", "该订单已取消或交易已关闭，请前往订单系统解绑采购单或重新采购", "取消", "确认", function () { }, function () {
                                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                                                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                                                });
                                            });
                                        }
                                    }
                                    else if (currentCginfo.YangkeduoCaiGouOrderInfos[0].CgUrl.indexOf("trade.tmall.hk") > 0) {
                                        var state = $("td.header-status")[0].innerText;
                                        if (state.indexOf("未付款") > -1) {
                                            document.getElementById("htbuttonSubmit").innerText = "去付款";
                                            var CgFreight = 0;
                                            var CgPrice = 0;
                                            var EstimatedProfit = 0;
                                            var data = document.getElementsByClassName("total-count")[0].innerText;
                                            data = data.split('\n');
                                            data.forEach(function (item) {
                                                if (item.indexOf("运费(快递)：") > -1) {
                                                    CgFreight = item.replace("运费(快递)：￥", "");
                                                    document.getElementById("CgFreight").innerText = "￥ " + CgFreight;
                                                }
                                                if (item.indexOf("需付款：") > -1) {
                                                    CgPrice = item.replace("需付款：￥", "");
                                                    document.getElementById("CgPrice").innerText = "￥ " + CgPrice;
                                                }
                                            });
                                            EstimatedProfit = currentCginfo.YangkeduoCaiGouOrderInfos[0].GoodsPriceRMB - CgPrice;
                                            document.getElementById("EstimatedProfit").innerText = "￥ " + EstimatedProfit;
                                            var arr = document.getElementsByClassName("trade-imfor-dd")[0].innerText.split(",");
                                            var data = {
                                                CgPrice: CgPrice,
                                                CgFreight: '0.00',
                                                EstimatedProfit: EstimatedProfit,
                                                LastReceiverName: arr[0],
                                                LastReceiverPhone: arr[1],
                                                LastReceiverAddress: arr[2],
                                                XdTime: (new Date()).valueOf(),
                                                LastCgSku: document.getElementsByClassName("item-title")[0].innerText
                                            };
                                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetCurrentOrderInfo, data, function () { });
                                        }
                                        else if (state.indexOf("已取消") > -1 || state.indexOf("交易已关闭") > -1) {
                                            document.getElementById("htbuttonSubmit").style.display = "none";
                                            Utils.Instance.Confirm("提示", "该订单已取消或交易已关闭，请前往订单系统解绑采购单或重新采购", "取消", "确认", function () { }, function () {
                                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                                                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                                                });
                                            });
                                        }
                                    }
                                }
                            }, 500);
                        });
                    }, 200);
                });
            }
        });
        function myFunction(callBack) {
            if (ModuleManager.Instance.cgOrderInfoModule.Init) {
                ModuleManager.Instance.cgOrderInfoModule.Init();
                window.clearInterval(that.TaskTimer);
                if (callBack) {
                    callBack();
                }
            }
        }
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCancelPurOrder, null, function (data) {
            if (data.isCancelOrder && data.shopId > 0) {
                var timeIndex_1 = setInterval(function () {
                    var i = document.body.innerHTML.indexOf('订单状态');
                    var statestr = document.body.innerHTML.substring(i, i + 12);
                    if (statestr && statestr.indexOf('交易关闭') > -1) {
                        clearInterval(timeIndex_1);
                        console.log(statestr);
                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetCancelPurOrder, null, function (data) { });
                    }
                }, 500);
            }
        });
    };
    TaobaoOrderDetilsPage.prototype.getTbOrderDetailExpressFun = function (callback) {
        var that = this;
        var CgOrderCode = that.getUrlParam("bizOrderId");
        var data = that.setTbDetailExpressGetJs();
        if (data && data[0]) {
            var orderInfo = {
                OrderCode: CgOrderCode,
                OrderStatus: that.getOrderStatus(),
                ShipperId: -1,
                Url: '',
                ShipperName: data[0].shipperName,
                LogisticNo: data[0].logisticNo,
                Address: data[0].address
            };
            if (callback) {
                setTimeout(function () {
                    callback(orderInfo);
                }, 500);
            }
        }
        else {
            var orderInfo1 = {
                OrderCode: CgOrderCode,
                OrderStatus: that.getOrderStatus(),
                ShipperId: -1,
                Url: '',
                ShipperName: '',
                LogisticNo: '',
                Address: ''
            };
            if (callback) {
                setTimeout(function () {
                    callback(orderInfo1);
                }, 500);
            }
        }
    };
    TaobaoOrderDetilsPage.prototype.setTbDetailExpressGetJs = function () {
        var par = [];
        var address = "";
        var shipperName = "";
        var logisticNo = "";
        var isHaveExpress = false;
        var isHave = true;
        var expressEle = document.querySelector('.logistics-info-mod__container___3Csqr table');
        if (expressEle) {
            try {
                var trEles = expressEle.querySelectorAll('tr');
                if (trEles && trEles.length > 0) {
                    for (var _i = 0, trEles_1 = trEles; _i < trEles_1.length; _i++) {
                        var trEle = trEles_1[_i];
                        var thEle = trEle.querySelector('th');
                        if (thEle && thEle.innerText.indexOf('物流公司') > -1) {
                            shipperName = trEle.querySelector('td').innerText;
                        }
                        if (thEle && thEle.innerText.indexOf('运单号码') > -1) {
                            logisticNo = trEle.querySelector('td').innerText;
                        }
                        if (thEle && thEle.innerText.indexOf('物流跟踪') > -1) {
                            if (isHaveExpress) {
                                var liEles = trEle.querySelectorAll('ul li');
                                if (liEles && liEles.length > 0) {
                                    var isOK = false;
                                    liEles.forEach(function (value, index, array) {
                                        if (value.innerText.indexOf('揽') > -1 || value.innerText.indexOf('收') > -1) {
                                            if (value.innerText.indexOf('正在等待') > -1 || value.innerText.indexOf('等待') > -1) {
                                                if (index == array.length - 1) {
                                                    isOK = false;
                                                }
                                                else if (array[array.length - 1].innerText.indexOf('出库') > -1 || array[array.length - 1].innerText.indexOf('已打') > -1) {
                                                    isOK = false;
                                                }
                                                else {
                                                    isOK = true;
                                                }
                                            }
                                            else {
                                                isOK = true;
                                            }
                                        }
                                    });
                                    isHave = isOK;
                                }
                            }
                        }
                    }
                }
            }
            catch (e) { }
        }
        else {
            try {
                var detailEle = document.querySelector('.detailBlock');
                if (detailEle) {
                    var logisticEles = detailEle.querySelectorAll('.trade-detail-logistic.package-main span');
                    if (logisticEles && logisticEles.length > 0) {
                        if (logisticEles[0])
                            shipperName = logisticEles[0].innerText;
                    }
                    if (logisticEles[2]) {
                        logisticNo = logisticEles[2].innerText;
                    }
                }
                if (isHaveExpress) {
                    var logisticInfoEle = detailEle.querySelector('.logistic-detail');
                    if (logisticInfoEle) {
                        var msg = logisticInfoEle.innerText;
                        if (msg.indexOf('发货') > -1 || msg.indexOf('出库') > -1) {
                            isHave = false;
                        }
                    }
                }
            }
            catch (e) { }
        }
        if (isHave && shipperName != '' && logisticNo != '' && shipperName != '—' && logisticNo != '—') {
            var data = {
                shipperName: shipperName.trim(),
                logisticNo: logisticNo.trim(),
                address: ''
            };
            par.push(data);
        }
        return par;
    };
    TaobaoOrderDetilsPage.prototype.getUrlParam = function (name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
        var r = window.location.search.slice(1).match(reg);
        if (r != null)
            return unescape(r[2]);
        return null;
    };
    TaobaoOrderDetilsPage.prototype.PayOkOrNo = function (status) {
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCgInfoPayStateToSend, status, function () {
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
                if (currentCginfo != null) {
                    if (currentCginfo.YangkeduoCaiGouOrderInfos.length > 0) {
                        if (currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode && currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode != '') {
                            if (currentCginfo.YangkeduoCaiGouOrderInfos[0].CgUrl.indexOf("item.taobao.com") > 0) {
                                window.location.href = "https://trade.taobao.com/trade/detail/trade_order_detail.htm?biz_order_id=" + currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode;
                            }
                            else if (currentCginfo.YangkeduoCaiGouOrderInfos[0].CgUrl.indexOf("detail.tmall.com") > 0) {
                                window.location.href = "https://trade.tmall.com/detail/orderDetail.htm?bizOrderId=" + currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode;
                            }
                            else if (currentCginfo.YangkeduoCaiGouOrderInfos[0].CgUrl.indexOf("trade.tmall.hk") > 0) {
                                window.location.href = "https://trade.tmall.hk/detail/orderDetail.htm?bizOrderId=" + currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode;
                            }
                        }
                    }
                    else {
                        Utils.Instance.Confirm("提示", "获取订单支付状态完成", "取消", "确认", function () {
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                            });
                        }, function () {
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                            });
                        });
                    }
                }
                else {
                    Utils.Instance.Confirm("提示", "获取订单支付状态完成", "取消", "确认", function () {
                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                        });
                    }, function () {
                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                        });
                    });
                }
            });
        });
    };
    TaobaoOrderDetilsPage.prototype.PayNo = function (status) {
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCgInfoPayStateToSend, status, function () {
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
                if (currentCginfo != null) {
                    if (currentCginfo.YangkeduoCaiGouOrderInfos.length > 0) {
                        if (currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode && currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode != '') {
                            if (currentCginfo.YangkeduoCaiGouOrderInfos[0].CgUrl.indexOf("item.taobao.com") > 0) {
                                window.location.href = "https://trade.taobao.com/trade/detail/trade_order_detail.htm?biz_order_id=" + currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode;
                            }
                            else if (currentCginfo.YangkeduoCaiGouOrderInfos[0].CgUrl.indexOf("detail.tmall.com") > 0) {
                                window.location.href = "https://trade.tmall.com/detail/orderDetail.htm?bizOrderId=" + currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode;
                            }
                            else if (currentCginfo.YangkeduoCaiGouOrderInfos[0].CgUrl.indexOf("trade.tmall.hk") > 0) {
                                window.location.href = "https://trade.tmall.hk/detail/orderDetail.htm?bizOrderId=" + currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode;
                            }
                        }
                    }
                    else {
                        Utils.Instance.Confirm("提示", "获取订单支付状态完成", "取消", "确认", function () {
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                            });
                        }, function () {
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                            });
                        });
                    }
                }
                else {
                    Utils.Instance.Confirm("提示", "获取订单支付状态完成", "取消", "确认", function () {
                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                        });
                    }, function () {
                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                        });
                    });
                }
            });
        });
    };
    TaobaoOrderDetilsPage.prototype.getOrderStatus = function () {
        var orderStatusStr = "";
        try {
            orderStatusStr = $("#J_refundList").parent().find("h3").text();
        }
        catch (error) {
            console.log("getOrderStatus", error);
        }
        if (orderStatusStr) {
            if (orderStatusStr.indexOf("交易关闭") > -1) {
                return PIOrderStatusEnum.订单取消;
            }
            else if (orderStatusStr.indexOf("若未及时付款，系统将自动取消订单") > -1) {
                return PIOrderStatusEnum.待支付;
            }
            else if (orderStatusStr.indexOf("等待买家付款") > -1) {
                return PIOrderStatusEnum.待支付;
            }
            else if (orderStatusStr.indexOf("等待商家发货") > -1 ||
                orderStatusStr.indexOf("等待卖家发货") > -1) {
                return PIOrderStatusEnum.待发货;
            }
            else if (orderStatusStr.indexOf("卖家分批发货中") > -1) {
                return PIOrderStatusEnum.部分发货;
            }
            else if (orderStatusStr.indexOf("卖家已发货") > -1) {
                return PIOrderStatusEnum.已发货;
            }
            else if (orderStatusStr.indexOf("交易成功") > -1) {
                return PIOrderStatusEnum.订单完成;
            }
        }
        return -1;
    };
    TaobaoOrderDetilsPage.prototype.BindEvent = function () {
        $('body').on('click', '#htbuttonSubmit', function () {
            if (window.location.href.indexOf("taobao.com") > 0) {
                var cgordercode = window.location.search.replace("?biz_order_id=", "");
                window.location.href = "https://buyertrade.taobao.com/trade/pay.htm?bizOrderId=" + cgordercode + "&amp;bizType=200";
            }
            else {
                window.location.href = document.getElementsByClassName("ui-btn-m ")[0].href;
            }
        });
    };
    return TaobaoOrderDetilsPage;
}());
if (typeof (_TaobaoOrderDetilsPage) == "undefined") {
    _TaobaoOrderDetilsPage = true;
    console.log("TaobaoOrderDetilsPage - begin");
    new TaobaoOrderDetilsPage().Init();
}
